Subject: [apps-discuss] Getting 3023bis, a.k.a. draft-ietf-appsawg-xml-mediatypes, moving

From: [email-masked] (Henry S. Thompson)
Date: Tue, 30 Apr 2013 15:32:04 +0100

We need to move forward on replacing 3023 (XML Media Types).  Before
we adopted draft-ietf-appsawg-xml-mediatypes, a number of folk
expressed interest in helping move this forward, including Julian,
Martin, Tony, Tim and SM, but no actual comments have been sent to
this list.

Further to a suggestion from Julian, perhaps if people would chip in
with their (un)favourite bugs/problems in/with 3023, I can try to
show how the draft [1] addresses them.

Comments directed straight at the draft w/o reference to 3023 are, of
course, also welcome.

ht

[1] http://tools.ietf.org/html/draft-ietf-appsawg-xml-mediatypes-00
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]

---

From: "Rushforth, Peter" <[email-masked]>
Date: Tue, 30 Apr 2013 19:20:53 +0000

Henry, Chris et al.,

> Further to a suggestion from Julian, perhaps if people would 
> chip in with their (un)favourite bugs/problems in/with 3023, 
> I can try to show how the draft [1] addresses them.
> 
> Comments directed straight at the draft w/o reference to 3023 
> are, of course, also welcome.

Section 8.

Suggest to remove the recommendation to register media types with +xml
suffix.  Suggest to add recommendation for a 'profile' parameter for application/xml,
as is being done for atom : http://tools.ietf.org/html/draft-wilde-atom-profile-01

Suggest to remove reference to Appendix A.  Remove Appendix A, also. All
of that stuff is not the business of this RFC, but is the responsibility 
of the registration procedure, in my opinion. 

Suggest to remove discussion of hypertext linking.  XML does not include
hypermedia affordances, so there is a disconnect between what can be expected in
application/xml vs. what is discussed in this RFC.  If an XML vocabulary
contains XLinks, let that vocabulary register its own media type.
Also, relative to the discussion of XLinks in that section, the web is
not limited to XML documents (heck they hardly even exist on the web),
so perhaps XLink itself needs an update to allow linking to non-XML
representations.

Regards,
Peter Rushforth